<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.hicorenational.antifraud">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        tools:ignore="ScopedStorage" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

<!--    <uses-permission android:name="android.permission.READ_PHONE_NUMBERS"/>-->
<!--    <uses-permission android:name="android.permission.READ_CALL_LOG"/>-->
<!--    <uses-permission android:name="android.permission.READ_PHONE_STATE"/>-->
<!--    <uses-permission android:name="android.permission.READ_CONTACTS"/>-->
<!--    <uses-permission android:name="android.permission.VIBRATE"/>-->
<!--    <uses-permission android:name="android.permission.ACCESS_NOTIFICATION_POLICY"/>-->
<!--    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>-->
<!--    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>-->
<!--    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS"/>-->
<!--    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW"/>-->
<!--    <uses-permission android:name="android.permission.SYSTEM_OVERLAY_WINDOW"/>-->
<!--    <uses-permission android:name="android.permission.RECEIVE_SMS"/>-->
<!--    <uses-permission android:name="android.permission.READ_SMS"/>-->
<!--    <uses-permission android:name="android.permission.RECORD_AUDIO"/>-->
<!--    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>-->
<!--    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>-->
<!--    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED"/>-->
<!--    <uses-permission android:name="android.permission.WAKE_LOCK"/>-->
<!--    <uses-permission android:name="android.permission.BROADCAST_PACKAGE_ADDED"/>-->
<!--    <uses-permission android:name="android.permission.BROADCAST_PACKAGE_CHANGED"/>-->
<!--    <uses-permission android:name="android.permission.BROADCAST_PACKAGE_INSTALL"/>-->
<!--    <uses-permission android:name="android.permission.BROADCAST_PACKAGE_REPLACED"/>-->
<!--    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"-->
<!--        tools:ignore="ProtectedPermissions" />-->
<!--    <uses-permission android:name="android.permission.WRITE_SETTINGS"-->
<!--        tools:ignore="ProtectedPermissions" />-->
<!--    <uses-permission android:name="android.permission.INTERNET"/>-->
<!--    <uses-permission android:name="android.permission.CAMERA"/>-->
<!--    <uses-permission android:name="android.permission.GET_TASKS"/>-->
<!--    <uses-permission android:name="android.permission.READ_LOGS"-->
<!--        tools:ignore="ProtectedPermissions" />-->
<!--    <uses-permission android:name="android.permission.REORDER_TASKS"/>-->
<!--    <uses-feature android:name="android.hardware.camera"/>-->
<!--    <uses-feature android:name="android.hardware.camera.autofocus" android:required="false"/>-->
<!--    <uses-feature android:name="android.hardware.camera.flash"/>-->
<!--    <uses-permission android:name="com.hicorenational.antifraud.permission.ANTI_VIRUS"/>-->
<!--    <uses-permission android:name="android.permission.FOREGROUND_SERVICE"/>-->
<!--    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES"/>-->
<!--    <uses-permission android:name="com.android.browser.permission.READ_HISTORY_BOOKMARKS"/>-->
<!--    <uses-permission android:name="android.permission.REQUEST_DELETE_PACKAGES"/>-->
<!--    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>-->
<!--    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>-->
<!--    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE"/>-->
<!--    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS"/>-->
<!--    <uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION"/>-->
<!--    <uses-permission android:name="android.permission.QUERY_ALL_PACKAGES"/>-->
<!--    <uses-permission android:name="android.permission.READ_APN_SETTINGS"/>-->
<!--    <uses-permission android:name="android.permission.BROADCAST_STICKY"/>-->
<!--    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE"/>-->
<!--    <uses-permission android:name="com.hicorenational.antifraud.permission.TMF_SHARK"/>-->
<!--    <uses-permission android:name="com.coloros.mcs.permission.RECIEVE_MCS_MESSAGE"/>-->
<!--    <uses-permission android:name="com.heytap.mcs.permission.RECIEVE_MCS_MESSAGE"/>-->
<!--    <uses-permission android:name="com.vivo.notification.permission.BADGE_ICON"/>-->
<!--    <uses-permission android:name="com.hicorenational.antifraud.permission.MIPUSH_RECEIVE"/>-->
<!--    -->
    <application
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@drawable/ic_launcher"
        android:supportsRtl="true"
        android:theme="@style/Theme.Antifraud">

        <activity
            android:name=".views.SplashActivity"
            android:exported="true"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".MainActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".views.SettingActivity"
            android:screenOrientation="portrait" />
        <activity
            android:name=".views.PersonalActivity"
            android:screenOrientation="portrait" />
    </application>

</manifest>